View Issue Details

IDProjectCategoryView StatusLast Update
0028611LazarusDatabase Componentspublic2015-09-04 11:18
ReporterAndrey PetrovitchAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel 686OSWindowsOS Version 7
Product Version1.5 (SVN)Product Build 
Target VersionFixed in Version1.4.4 
Summary0028611: TDBGridColumnsPropertyEditorForm When prompted to delete the column in the message text is missing the column name
DescriptionTDBGridColumnsPropertyEditorForm handler actDelExecute calls
  Format(oisDeleteItem, ['"',Collection.Items[I].DisplayName,'"']) but
oisDeleteItem in russian locale contain only one %s parameter :

#: objinspstrconsts.oisdeleteitem
msgid "Delete item \"%s\"?"
msgstr "Удалить элемент \"%s\"?"

but in some others locale oisDeleteItem has three %s. In version 1.2.6 message display correctly

Steps To ReproduceTry to add column in TDBGridColumnsPropertyEditorForm and delete it
TagsNo tags attached.
Fixed in Revision49750
LazTarget-
Widgetset
Attached Files

Activities

Maxim Ganetsky

2015-09-03 18:33

developer   ~0085690

Please test and close if OK.

Andrey Petrovitch

2015-09-04 11:17

reporter   ~0085700

All right, now working correctly, thanks.

Andrey Petrovitch

2015-09-04 11:18

reporter   ~0085701

Now working fine.

Issue History

Date Modified Username Field Change
2015-09-02 13:21 Andrey Petrovitch New Issue
2015-09-03 18:29 Maxim Ganetsky Assigned To => Maxim Ganetsky
2015-09-03 18:29 Maxim Ganetsky Status new => assigned
2015-09-03 18:33 Maxim Ganetsky Fixed in Revision => 49750
2015-09-03 18:33 Maxim Ganetsky LazTarget => -
2015-09-03 18:33 Maxim Ganetsky Note Added: 0085690
2015-09-03 18:33 Maxim Ganetsky Status assigned => resolved
2015-09-03 18:33 Maxim Ganetsky Fixed in Version => 1.6
2015-09-03 18:33 Maxim Ganetsky Resolution open => fixed
2015-09-04 00:31 Maxim Ganetsky Widgetset fpGUI =>
2015-09-04 00:31 Maxim Ganetsky Fixed in Version 1.6 => 1.4.4
2015-09-04 11:17 Andrey Petrovitch Note Added: 0085700
2015-09-04 11:18 Andrey Petrovitch Note Added: 0085701
2015-09-04 11:18 Andrey Petrovitch Status resolved => closed